# polygon-Methode
# getestet am 21.02.2022: funktioniert mit firmware-Version 1.18

from machine import Pin, SPI
import st7789

spi = SPI(1, baudrate=20000000, polarity=1, sck=Pin(18), mosi=Pin(19))
display = st7789.ST7789(spi, 135, 240,  reset=Pin(23, Pin.OUT), cs=Pin(5, Pin.OUT), dc=Pin(16, Pin.OUT), backlight=Pin(4, Pin.OUT), rotation=3)
# Landscape

display.init()
display.fill(0)

# polygon(polygon, x, y, color, angle, center_x, center_y)
# Draw a polygon at the x, y coordinates in the color given.
# The polygon may be rotated angle radians about the center_x and center_y point. #
# The polygon should consist of a list of (x, y) tuples forming a closed convex polygon

poly = [(10, 5), (50, 20), (30, 100), (10, 5)] # Dreieck
for i in range(20):
    display.polygon(poly, i*10, i, st7789.WHITE)




